Get User

Get User
Get user details by ID

This endpoint fetches detailed information about a specific user by the user identifier.
Authorized Roles : SYSTEM_ADMIN or INFRA_ADMIN or DSM_ADMIN

Request
URI
GET
https://{api_host}/provider/users/{id}
COPY
Path Parameters
integer
id
Required

ID of the user

Header Parameters
string
Authorization
Required

Bearer token for authentication (e.g., "Bearer <token>" obtained from /provider/session)

string
Accept
Required

Must be application/vnd.vmware.dms-v1+json


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns dmsUserResponseDto of type(s) application/vnd.vmware.dms-v1+json
{
    "id": 0,
    "email": "string",
    "links": [
        {
            "rel": "string",
            "href": "string"
        }
    ]
}

400

Bad request. The user ID is invalid or missing.

Returns ErrorDto of type(s) application/vnd.vmware.dms-v1+json
{
    "message": "string",
    "errorCodes": {
        "type": "string"
    }
}

404

User not found. The specified user_id does not exist in the system.

Returns ErrorDto of type(s) application/vnd.vmware.dms-v1+json
{
    "message": "string",
    "errorCodes": {
        "type": "string"
    }
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/provider/users/{id}